/******************************************************************************
 CGrayLine.c

							The GrayLine Class
		
		A Pane containing an Gray Line, drawn from the topLeft to the
		bottomRight of the frame.
	
	SUPERCLASS = CPane.c

	Copyright  1991 Bowers Development Corporation. All rights reserved.
	
 ******************************************************************************/

#include <Global.h>
#include <Constants.h>
#include <TBUtilities.h>
#include "CGrayLine.h"


/******************************************************************************
 IGrayLine

		Initialize a GrayLine object.  Just calls inherited method.
 ******************************************************************************/

void	CGrayLine::IGrayLine (
	CView			*anEnclosure,
	CBureaucrat		*aSupervisor,
	short			aWidth,
	short			aHeight,
	short			aHEncl,
	short			aVEncl,
	SizingOption	aHSizing,
	SizingOption	aVSizing)
{

	CPane::IPane (anEnclosure, aSupervisor, aWidth, aHeight,
					aHEncl, aVEncl, aHSizing, aVSizing);
} /* IGrayLine */
	

/******************************************************************************
 Draw

		Draw a GrayLine
 ******************************************************************************/

void	CGrayLine::Draw (
	Rect		*area)
{
	Rect		theFrame;
	PenState	savePen;

	GetPenState (&savePen);
	PenNormal ();
	FrameToQDR (&frame, &theFrame);
	PenPat (gray);
	MoveTo (frame.left, frame.top);
	LineTo (frame.right - 1, frame.bottom - 1);
	SetPenState (&savePen);

} /* Draw */
	

