/******************************************************************************
 CLabeledGroup.h

		Interface for CLabeledGroup.c
		
		Copyright  1991 Bowers Development Corporation. All rights reserved.
		
 ******************************************************************************/

#pragma once

#include <CRadioGroupPane.h>
#include "AMUtilities.h"
#include "CAMIconPane.h"

class CLabeledGroup : public CRadioGroupPane {
public:
	virtual void	ILabeledGroup	(CView			*anEnclosure, 
									 CBureaucrat	*aSupervisor,
									 short			aWidth,
									 short			aHeight,
									 short			aHEncl,
									 short			aVEncl,
									 SizingOption	aHSizing,
									 SizingOption	aVSizing,
									 short			aThickness,
									 short			aDropShadow,
									 Str255			aLabel,
									 short			aTextStyle,
									 short			aTextSize,
									 Str255			aFontName);
	void	IViewTemp				(CView			*anEnclosure,
						 			 CBureaucrat	*aSupervisor,
									 Ptr			viewData);		// is override
	void	ILabeledGroupX			(short			aThickness,
									 short			aDropShadow,
									 Str255			aLabel,
									 StylesP		p);
	void	Dispose					(void);							// is override
	void	MakeBorder				(short			aThickness,
									 short			aDropShadow);
	void	Draw					(Rect			*area);			// is override
	void	ProviderChanged			(CCollaborator	*aProvider,
									 long			reason,
									 void			*info);			// is override

protected:
	StringHandle		theLabel;		/* title of labeled group */
	CAMIconPane			*radioStation;

};	/* CLabeledGroup */

typedef PaneTemp	CRadioGroupPaneTemp;

typedef struct	{	
	CRadioGroupPaneTemp	sRadioGroupPaneTemp;
	short				thickness;
	short				dropShadow;
	Str255				label;
	StylesRec			typeStyle;
} CLabeledGroupTemp, *CLabeledGroupTempP;

