/******************************************************************************
 CSlider.c

							The Slider Class
		
		A standard AppMaker slider control.
	
	SUPERCLASS = CAMButton
	
	Copyright  1991 Bowers Development Corporation. All rights reserved.

 ******************************************************************************/

#include "CSlider.h"

/******************************************************************************
 DoThumbDragged

		User dragged thumb of the slider. Call function to respond
		appropriately.
 ******************************************************************************/

void	CSlider::DoThumbDragged (
	short		delta)					/* Change in control setting		*/
{
	if (theThumbFunc!=NULL) {			/* Call thumb function if one		*/
		(*theThumbFunc) (this, delta);	/*   exists; otherwise do nothing	*/
	}

} /* DoThumbDragged */	


/******************************************************************************
 SetThumbFunc

		Set the pointer to the function to be called after the thumb of
		the slider is dragged
 ******************************************************************************/

void	CSlider::SetThumbFunc (
	ThumbFuncType	aThumbFunc)			/* Function pointer					*/
{
	theThumbFunc = aThumbFunc;			/* Set instance variable			*/

} /* SetThumbFunc */
